CredentialExpiredException (Java Platform SE 8 )
Keywords: javax.security.auth.login.CredentialExpiredException class
Date: 2016-12-09

compact1, compact2, compact3
javax.security.auth.login

## Class CredentialExpiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.security.auth.login.LoginException
        - - javax.security.auth.login.CredentialException
          - - javax.security.auth.login.CredentialExpiredException

- All Implemented Interfaces:
    Serializable

      public class CredentialExpiredException
      extends CredentialException

  Signals that a `Credential` has expired.

  This exception is thrown by LoginModules when they determine that a `Credential` has expired. For example, a `LoginModule` authenticating a user in its `login` method may determine that the user's password, although entered correctly, has expired. In this case the `LoginModule` throws this exception to notify the application. The application can then take the appropriate steps to assist the user in updating the password.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialExpiredException()` Constructs a CredentialExpiredException with no detail message.
    `CredentialExpiredException(String msg)` Constructs a CredentialExpiredException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialExpiredException

          public CredentialExpiredException()

      Constructs a CredentialExpiredException with no detail message. A detail message is a String that describes this particular exception.

    - #### CredentialExpiredException

          public CredentialExpiredException(String msg)

      Constructs a CredentialExpiredException with the specified detail message. A detail message is a String that describes this particular exception.

      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.